This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | PVector
Name | ### fromAngle()
Examples |
    PVector v;

    void setup() {
      v = PVector.fromAngle(0.01);
      println(v);  // Prints "[ 0.99995, 0.009999833, 0.0 ]"
    }
Description | Calculates and returns a new 2D unit vector from the specified angle value.
Syntax |
    .fromAngle(angle)
    .fromAngle(angle, target)
Parameters |
angle | float: the angle
target | PVector: the target vector (if null, a new vector will be created)
Returns | PVector

Updated on October 26, 2013 08:58:33pm PDT